Skip to main content
GET
The checklist on a work order.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
work_order_id
string
maintenance_plan_task_id
string
sequence
string
description
string
task_type
string
instructions
string
status
string
is_mandatory
string
notes
string
skipped_reason
string
requires_measurement
string
unit_of_measure_id
string
unit_code
string
expected_min_value
string
expected_max_value
string
recorded_value
string
passed
string
ungradeable
string
fail_creates_corrective
string
failure_priority_id
string
failure_priority_code
string
failure_id
string
corrective_work_order_id
string
corrective_work_order_number
string
requires_photo
string
requires_signature
string
answer_options
string
allows_many_answers
string
recorded_answers
string
completed_by_worker_id
string
completed_by
string
completed_at
string
blocks_completion
string
block_id
string
block_name
string
reference_file_count
string
photo_evidence
string
signature_evidence
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

allows_many_answers
boolean<boolean>
answer_options
string<jsonb>
block_id
string<uuid>

Note: This is a Foreign Key to work_order_task_blocks.id.

block_name
string<character varying>
Maximum string length: 250
blocks_completion
boolean<boolean>
completed_at
string<timestamp with time zone>
completed_by
string<character varying>
Maximum string length: 200
completed_by_worker_id
string<uuid>

Note: This is a Foreign Key to assignable_workers.id.

corrective_work_order_id
string<uuid>

Note: This is a Foreign Key to asset_maintenance_plans.next_work_order_id.

corrective_work_order_number
string<character varying>
Maximum string length: 60
description
string<text>
expected_max_value
number<numeric>
expected_min_value
number<numeric>
fail_creates_corrective
boolean<boolean>
failure_id
string<uuid>

Note: This is a Primary Key.

failure_priority_code
string<character varying>
Maximum string length: 40
failure_priority_id
string<uuid>

Note: This is a Foreign Key to request_severity_priorities.work_order_priority_id.

id
string<uuid>

Note: This is a Primary Key.

instructions
string<text>
is_mandatory
boolean<boolean>
maintenance_plan_task_id
string<uuid>

Note: This is a Foreign Key to maintenance_plan_tasks.id.

notes
string<text>
passed
boolean<boolean>
photo_evidence
integer<bigint>
recorded_answers
string<jsonb>
recorded_value
number<numeric>
reference_file_count
integer<bigint>
requires_measurement
boolean<boolean>
requires_photo
boolean<boolean>
requires_signature
boolean<boolean>
row_version
integer<bigint>
sequence
integer<integer>
signature_evidence
integer<bigint>
skipped_reason
string<character varying>
Maximum string length: 250
status
string<character varying>
Maximum string length: 20
task_type
string<character varying>
Maximum string length: 30
ungradeable
boolean<boolean>
unit_code
string<character varying>
Maximum string length: 30
unit_of_measure_id
string<uuid>

Note: This is a Foreign Key to units_of_measure.id.

work_order_id
string<uuid>

Note: This is a Foreign Key to asset_maintenance_plans.next_work_order_id.